Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063042 - Review Request: rubygem-em-websocket - EventMachine based WebSocket server
Summary: Review Request: rubygem-em-websocket - EventMachine based WebSocket server
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-02-09 18:02 UTC by Nitesh Narayan Lal
Modified: 2015-07-22 06:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:41:52 UTC


Attachments (Terms of Use)

Description Nitesh Narayan Lal 2014-02-09 18:02:59 UTC
Spec URL: http://niteshnarayan.fedorapeople.org/SPECS/rubygem-em-websocket-0.5.0.spec
SRPM URL: http://niteshnarayan.fedorapeople.org/SRPMS/rubygem-em-websocket-0.5.0-1.fc19.src.rpm
Description: EventMachine based WebSocket server
Fedora Account System Username:

Comment 1 Eduardo Mayorga 2014-02-11 00:54:01 UTC
This package won't build with mock. %check section must be after %install.

Comment 2 Eduardo Mayorga 2014-02-11 23:13:45 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b6255d70a4afa8222d5c6c5a05ef12f4  em-websocket-0.5.0.gem
b6255d70a4afa8222d5c6c5a05ef12f4  em-websocket-0.5.0.gem.new
OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Package obey's FHS standard

FAILS - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
FAILS - No rpmlint output.
FAILS - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

FAILS - Should build in mock.
FAILS - Should build on all supported archs
FAILS - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Group tag is deprecated since F17, you shouldn't use it anymore.
2. The package doesn't build in mock (check %check section).
3. Provides tag is missing. You need this:
Provides: rubygem(%{gem_name}) = %{version}
3. em-http-request seems to be a Require, and it isn't in Fedora
4. You must remove binary extension sources and build leftovers. Add this:
# Remove the binary extension sources and build leftovers.
rm -f %{buildroot}/%{gem_instdir}/Rakefile
rm -f %{buildroot}/%{gem_instdir}/em-websocket.gemspec

rpmlint output:

$ rpmlint rubygem-em-websocket-0.5.0-1.fc19.src.rpm
rubygem-em-websocket.src: E: invalid-spec-name
rubygem-em-websocket.src:56: W: mixed-use-of-spaces-and-tabs (spaces: line 56, tab: line 51)
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Comment 3 Mo Morsi 2014-02-20 14:26:19 UTC
Additionally:

- http_parser.rb is not yet in fedora / needs to be submitted

- related, this upstream issue affects the em-websocket & em-http-request submission:

https://github.com/igrigorik/em-websocket/pull/110

- If a new release isn't cut w/ the updated dependency we will have to patch em-websocket to include the upstream patches satisfying the dep

- Didn't see an external license file, would be nice to file an issue upstream requesting this:

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Thanks

Comment 5 Nitesh Narayan Lal 2014-07-08 16:20:18 UTC
Please disregard the earlier comment, there is still work to be done here.

Comment 6 Miroslav Suchý 2015-07-21 15:01:02 UTC
Any progress here?

Comment 7 Nitesh Narayan Lal 2015-07-21 17:06:57 UTC
Nope unfortunately I am surrounded by loads of day job and other responsibilities. I didn't get time to continue this further, sorry for that.


Note You need to log in before you can comment on or make changes to this bug.